package com.gic.haoban.manage.api.dto.notify.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Created by wangzubo on 2023/3/13.
 */
public class NotifyMessageMQDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String enterpriseId;

    /**
     * 导购id列表
     */
    private List<String> clerkIdList;

    /**
     * 通知类型
     */
    private String templateCode;

    /**
     * 拓展内容
     */
    private Map<String, Object> extendContent;

    /**
     * 结果 1成功0失败
     */
    private Integer result;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public List<String> getClerkIdList() {
        return clerkIdList;
    }

    public void setClerkIdList(List<String> clerkIdList) {
        this.clerkIdList = clerkIdList;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public Map<String, Object> getExtendContent() {
        return extendContent;
    }

    public void setExtendContent(Map<String, Object> extendContent) {
        this.extendContent = extendContent;
    }

    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }
}

